Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
Introducing our Voice Agent API: The fastest path to a working voice agent. Learn more
cURL
curl --request GET \ --url https://api.assemblyai.com/v2/transcript/{transcript_id}/word-search \ --header 'Authorization: <api-key>'
{ "id": "d5a3d302-066e-43fb-b63b-8f57baf185db", "total_count": 10, "matches": [ { "text": "smoke", "count": 6, "timestamps": [ [ 250, 650 ], [ 49168, 49398 ], [ 55284, 55594 ], [ 168888, 169118 ], [ 215108, 215386 ], [ 225944, 226170 ] ], "indexes": [ 0, 136, 156, 486, 652, 698 ] }, { "text": "wildfires", "count": 4, "timestamps": [ [ 1668, 2346 ], [ 33852, 34546 ], [ 50118, 51110 ], [ 231356, 232354 ] ], "indexes": [ 4, 90, 140, 716 ] } ] }
ID of the transcript
Keywords to search for
Word search response
The ID of the transcript
The total count of all matched instances. For e.g., word 1 matched 2 times, and word 2 matched 3 times, total_count will equal 5.
total_count
The matches of the search
Show child attributes
Was this page helpful?